﻿Imports System
Imports DevExpress.XtraReports.Web
Imports Wisej.Web
Imports Wisej.Web.Ext.AspNetControl


<System.ComponentModel.ToolboxItem(True)>
Partial Public Class ASPxWebDocumentViewerWrapper
    Inherits AspNetWrapper(Of ASPxWebDocumentViewer)
    Private HostedControl As DevExpress.XtraReports.Web.ASPxWebDocumentViewer
    Private report As DevExpress.XtraReports.UI.XtraReport

    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnInit(ByVal e As EventArgs)
        HostedControl = Me.WrappedControl
        MyBase.OnInit(e)
    End Sub

    Protected Overrides Sub OnLoad(ByVal e As EventArgs)
        Me.WrappedControl.OpenReport(Me.report)
        HostedControl = Me.WrappedControl
        MyBase.OnLoad(e)
    End Sub

    Public Sub OpenReport(ByVal report As DevExpress.XtraReports.UI.XtraReport)
        HostedControl.OpenReport(report)
    End Sub

End Class
